"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DisconnectMessages = void 0;
const Enums_1 = require("./Enums");
exports.DisconnectMessages = {
    [Enums_1.DisconnectReason.None]: "Forcibly disconnected from server. The remote sent a disconnect request.",
    [Enums_1.DisconnectReason.GameFull]: "The game you tried to join is full. Check with the host to see if you can join next round.",
    [Enums_1.DisconnectReason.GameStarted]: "The game you tried to join already started. Check with the host to see if you can join next round.",
    [Enums_1.DisconnectReason.GameNotFound]: "Could not find the game you're looking for.",
    [Enums_1.DisconnectReason.IncorrectVersion]: "You are running an older version of the game. Please update to play with others.",
    [Enums_1.DisconnectReason.Banned]: "You were banned from the room. You cannot rejoin that room.",
    [Enums_1.DisconnectReason.Kicked]: "You were kicked from the room. You can rejoin if the room hasn't started.",
    [Enums_1.DisconnectReason.InvalidName]: "Server refused username",
    [Enums_1.DisconnectReason.Hacking]: "You were banned for hacking. Please stop.",
    [Enums_1.DisconnectReason.Error]: "You disconnected from the host. If this happens often, check your WiFi strength.",
    [Enums_1.DisconnectReason.IncorrectGame]: "Could not find the game you're looking for.",
    [Enums_1.DisconnectReason.ServerRequest]: "The server stopped this game. Possibly due to inactivity.",
    [Enums_1.DisconnectReason.ServerFull]: "The Among Us servers are overloaded. Sorry! Please try again later!"
};
