import { DynamicBuffer } from "../../util/DynamicBuffer";
import { Networkable } from "../Networkable";
import { Stage } from "../Stage";
export declare enum VoteState {
    VotedFor = 15,
    DidReport = 32,
    DidVote = 64,
    IsDead = 128
}
export interface PlayerVoteState {
    state: number;
    readonly voted: number;
}
export interface MeetingHudData {
    dirtyBit: number;
    players: Map<number, PlayerVoteState>;
}
export declare class MeetingHud extends Networkable {
    static classname: "MeetingHud";
    classname: "MeetingHud";
    dirtyBit: number;
    players: Map<number, PlayerVoteState>;
    constructor(stage: Stage, netid: number, data?: DynamicBuffer | MeetingHudData);
    Deserialize(reader: DynamicBuffer, spawn?: boolean): void;
    Serialize(writer: DynamicBuffer, spawn?: boolean): void;
    static readPlayerState(reader: DynamicBuffer): PlayerVoteState;
}
