"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AutoDoorsSystem = void 0;
const Enums_1 = require("../../constant/Enums");
const SystemStatus_1 = require("./SystemStatus");
class AutoDoorsSystem extends SystemStatus_1.SystemStatus {
    constructor(ship, data) {
        super(ship, data);
        this.systemType = Enums_1.SystemType.Doors;
    }
    Deserialize(reader, spawn) {
        if (spawn) {
            for (let i = 0; i < Enums_1.MapDoors.TheSkeld; i++) {
                this.doors[i] = reader.bool();
            }
        }
        else {
            const mask = reader.upacked();
            for (let i = 0; i < Enums_1.MapDoors.TheSkeld; i++) {
                if (mask & (1 << i)) {
                    this.doors[i] = reader.bool();
                }
            }
        }
    }
    Serialize(writer, spawn) {
        if (spawn) {
            for (let i = 0; i < Enums_1.MapDoors.TheSkeld; i++) {
                writer.bool(this.doors[i]);
            }
        }
        else {
            writer.upacked(this.dirtyBit);
            for (let i = 0; i < Enums_1.MapDoors.TheSkeld; i++) {
                if (this.dirtyBit & (1 << i)) {
                    writer.bool(this.doors[i]);
                }
            }
        }
    }
}
exports.AutoDoorsSystem = AutoDoorsSystem;
AutoDoorsSystem.systemType = Enums_1.SystemType.Doors;
