"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MedScanSystem = void 0;
const Enums_1 = require("../../constant/Enums");
const SystemStatus_1 = require("./SystemStatus");
class MedScanSystem extends SystemStatus_1.SystemStatus {
    constructor(ship, data) {
        super(ship, data);
        this.systemType = Enums_1.SystemType.MedBay;
    }
    /* eslint-disable-next-line @typescript-eslint/no-unused-vars */
    Deserialize(reader, spawn) {
        const num_players = reader.upacked();
        this.queue = [];
        for (let i = 0; i < num_players; i++) {
            this.queue.push(reader.uint8());
        }
    }
    /* eslint-disable-next-line @typescript-eslint/no-unused-vars */
    Serialize(writer, spawn) {
        writer.upacked(this.queue.length);
        for (let i = 0; i < this.queue.length; i++) {
            writer.uint8(this.queue[i]);
        }
    }
}
exports.MedScanSystem = MedScanSystem;
MedScanSystem.systemType = Enums_1.SystemType.MedBay;
