"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReactorSystem = void 0;
const Enums_1 = require("../../constant/Enums");
const SystemStatus_1 = require("./SystemStatus");
class ReactorSystem extends SystemStatus_1.SystemStatus {
    constructor(ship, data) {
        super(ship, data);
        this.systemType = Enums_1.SystemType.Reactor;
    }
    /* eslint-disable-next-line @typescript-eslint/no-unused-vars */
    Deserialize(reader, spawn) {
        this.timer = reader.float();
        const num_consoles = reader.upacked();
        this.completed = [];
        for (let i = 0; i < num_consoles; i++) {
            this.completed.push(reader.upacked());
        }
    }
    /* eslint-disable-next-line @typescript-eslint/no-unused-vars */
    Serialize(writer, spawn) {
        writer.float(this.timer);
        for (let i = 0; i < this.completed.length; i++) {
            writer.upacked(this.completed[i]);
        }
    }
}
exports.ReactorSystem = ReactorSystem;
ReactorSystem.systemType = Enums_1.SystemType.Reactor;
