"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SecurityCameraSystem = void 0;
const Enums_1 = require("../../constant/Enums");
const SystemStatus_1 = require("./SystemStatus");
class SecurityCameraSystem extends SystemStatus_1.SystemStatus {
    constructor(ship, data) {
        super(ship, data);
        this.systemType = Enums_1.SystemType.Security;
    }
    /* eslint-disable-next-line @typescript-eslint/no-unused-vars */
    Deserialize(reader, spawn) {
        const num_players = reader.upacked();
        this.players = [];
        for (let i = 0; i < num_players; i++) {
            this.players.push(reader.uint8());
        }
    }
    /* eslint-disable-next-line @typescript-eslint/no-unused-vars */
    Serialize(writer, spawn) {
        writer.upacked(this.players.length);
        for (let i = 0; i < this.players.length; i++) {
            writer.uint8(this.players[i]);
        }
    }
}
exports.SecurityCameraSystem = SecurityCameraSystem;
SecurityCameraSystem.systemType = Enums_1.SystemType.Security;
