"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SwitchSystem = void 0;
const Enums_1 = require("../../constant/Enums");
const SystemStatus_1 = require("./SystemStatus");
class SwitchSystem extends SystemStatus_1.SystemStatus {
    constructor(ship, data) {
        super(ship, data);
        this.systemType = Enums_1.SystemType.Electrical;
    }
    /* eslint-disable-next-line @typescript-eslint/no-unused-vars */
    Deserialize(reader, spawn) {
        this.expected = SwitchSystem.readSwitches(reader.byte());
        this.actual = SwitchSystem.readSwitches(reader.byte());
        this.brightness = reader.uint8() / 100;
    }
    /* eslint-disable-next-line @typescript-eslint/no-unused-vars */
    Serialize(writer, spawn) {
        writer.byte(SwitchSystem.writeSwitches(this.expected));
        writer.byte(SwitchSystem.writeSwitches(this.actual));
        writer.uint8(this.brightness * 100);
    }
    static readSwitches(byte) {
        const vals = [false, false, false, false, false];
        vals[0] = !!(byte & 0x1);
        vals[1] = !!(byte & 0x2);
        vals[2] = !!(byte & 0x4);
        vals[3] = !!(byte & 0x8);
        vals[4] = !!(byte & 0x10);
        return vals;
    }
    static writeSwitches(switches) {
        return (~~switches[0]) |
            (~~switches[1] << 1) |
            (~~switches[2] << 2) |
            (~~switches[3] << 3) |
            (~~switches[4] << 4);
    }
}
exports.SwitchSystem = SwitchSystem;
SwitchSystem.systemType = Enums_1.SystemType.Electrical;
