/// <reference types="node" />
import util from "util";
declare type endian = "le" | "be";
export declare class DynamicBuffer {
    buffer: Buffer;
    static alloc(size: number, encoding?: BufferEncoding): DynamicBuffer;
    static from(buf: any, encoding?: BufferEncoding): DynamicBuffer;
    cursor: number;
    constructor(buffer: Buffer);
    [Symbol.toStringTag](): string;
    [util.inspect.custom](): string;
    [Symbol.iterator](): Generator<number, void, unknown>;
    get size(): number;
    get left(): number;
    toString(encoding?: BufferEncoding): string;
    goto(pos: number): this;
    jump(bytes: number): this;
    realloc(size: number): this;
    expand(bytes: number): this;
    uint8(): number;
    uint8(val: number): this;
    int8(): number;
    int8(val: number): this;
    byte(): number;
    byte(val: number): this;
    char(): string;
    char(val: string): this;
    bool(): boolean;
    bool(val: boolean): this;
    uint16LE(): number;
    uint16LE(val: number): this;
    uint16BE(): number;
    uint16BE(val: number): this;
    uint16(endian?: endian): number;
    uint16(val: number, endian?: endian): this;
    int16LE(): number;
    int16LE(val: number): this;
    int16BE(): number;
    int16BE(val: number): this;
    int16(endian?: endian): number;
    int16(val: number, endian?: endian): this;
    uint32LE(): number;
    uint32LE(val: number): this;
    uint32BE(): number;
    uint32BE(val: number): this;
    uint32(endian?: endian): number;
    uint32(val: number, endian?: endian): this;
    int32LE(): number;
    int32LE(val: number): this;
    int32BE(): number;
    int32BE(val: number): this;
    int32(endian?: endian): number;
    int32(val: number, endian?: endian): this;
    floatLE(): number;
    floatLE(val: number): this;
    floatBE(): number;
    floatBE(val: number): this;
    float(endian?: endian): number;
    float(val: number, endian?: endian): this;
    bytes(bytes: number): number[];
    bytes(bytes: number[]): this;
    buf(buff: DynamicBuffer | Buffer): DynamicBuffer;
    buf(buff: number): DynamicBuffer;
    string(): string;
    string(str: string, encoding?: BufferEncoding): this;
    packed(): number;
    packed(val: number): this;
    upacked(): number;
    upacked(val: number): this;
    ip(): string;
    ip(val: string): this;
}
export {};
